Package org.apache.ignite.client

## Interface ClientRetryPolicy

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `ClientRetryAllPolicy`, `ClientRetryNonePolicy`, `ClientRetryReadPolicy`

    public interface ClientRetryPolicy
    extends Serializable

Client retry policy determines whether client operations that have failed due to a connection issue should be retried.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `shouldRetry​(ClientRetryPolicyContext context)` Gets a value indicating whether a client operation that has failed due to a connection issue should be retried.

### Method Detail

#### shouldRetry

    boolean shouldRetry​(ClientRetryPolicyContext context)

Gets a value indicating whether a client operation that has failed due to a connection issue should be retried.

Parameters:
  `context` - Context.
Returns:
  `true` if the operation should be retried on another connection, `false` otherwise.